aboutsummaryrefslogtreecommitdiffstats
path: root/src/compiler/glsl/glcpp/tests
diff options
context:
space:
mode:
Diffstat (limited to 'src/compiler/glsl/glcpp/tests')
-rwxr-xr-xsrc/compiler/glsl/glcpp/tests/glcpp-test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/compiler/glsl/glcpp/tests/glcpp-test.sh b/src/compiler/glsl/glcpp/tests/glcpp-test.sh
index 474e8ef5307..d98c408f739 100755
--- a/src/compiler/glsl/glcpp/tests/glcpp-test.sh
+++ b/src/compiler/glsl/glcpp/tests/glcpp-test.sh
@@ -85,6 +85,11 @@ for test in $testdir/*.c; do
fi
done
+if [ $total -eq 0 ]; then
+ echo "Could not find any tests."
+ exit 1
+fi
+
echo ""
echo "$pass/$total tests returned correct results"
echo ""